PHPExcel_Shared_OLE

# Class: PHPExcel_Shared_OLE_PPS_Root

Source Location: /PHPExcel/Shared/OLE/PPS/Root.php

### Class Overview

    PHPExcel_Shared_OLE_PPS
       |
       --PHPExcel_Shared_OLE_PPS_Root

Class for creating Root PPS's for OLE containers

#### Author(s):

- Xavier Noguer <xnoguer@php.net>

### Variables

- $_tmp_dir

### Methods

- __construct
- save
- _calcSize
- _makeSmallData
- _saveBbd
- _saveBigData
- _saveHeader
- _savePps

### Inherited Variables

#### Class: PHPExcel_Shared_OLE_PPS

PHPExcel_Shared_OLE_PPS::$children
PHPExcel_Shared_OLE_PPS::$DirPps
PHPExcel_Shared_OLE_PPS::$Name
PHPExcel_Shared_OLE_PPS::$NextPps
PHPExcel_Shared_OLE_PPS::$No
PHPExcel_Shared_OLE_PPS::$ole
PHPExcel_Shared_OLE_PPS::$PrevPps
PHPExcel_Shared_OLE_PPS::$Size
PHPExcel_Shared_OLE_PPS::$Time1st
PHPExcel_Shared_OLE_PPS::$Time2nd
PHPExcel_Shared_OLE_PPS::$Type
PHPExcel_Shared_OLE_PPS::$_data
PHPExcel_Shared_OLE_PPS::$_StartBlock

### Inherited Methods

#### Class: PHPExcel_Shared_OLE_PPS

PHPExcel_Shared_OLE_PPS::__construct()
  The constructor
PHPExcel_Shared_OLE_PPS::_DataLen()
  Returns the amount of data saved for this PPS
PHPExcel_Shared_OLE_PPS::_getPpsWk()
  Returns a string with the PPS's WK (What is a WK?)
PHPExcel_Shared_OLE_PPS::_savePpsSetPnt()
  Updates index and pointers to previous, next and children PPS's for this PPS. I don't think it'll work with Dir PPS's.

### Class Details

[line 30]
Class for creating Root PPS's for OLE containers

#### Tags:

author: | Xavier Noguer <xnoguer@php.net>

[ Top ]

### Class Variables

#### $_tmp_dir = NULL

[line 37]

Directory for temporary files

#### Tags:

access: | protected

Type: | string

[ Top ]

### Class Methods

### constructor __construct [line 43]

`PHPExcel_Shared_OLE_PPS_Root __construct( integer $time_1st, integer $time_2nd, $raChild)`

#### Tags:

access: | public

Overrides PHPExcel_Shared_OLE_PPS::__construct() (The constructor)

#### Parameters:

integer | $time_1st | A timestamp
integer | $time_2nd | A timestamp
| $raChild |

[ Top ]

### method save [line 71]

`mixed save( string|resource $filename)`

Method for saving the whole OLE container (including files).

In fact, if called with an empty argument (or '-'), it saves to a temporary file and then outputs it's contents to stdout. If a resource pointer to a stream created by fopen() is passed it will be used, but you have to close such stream by yourself.

#### Tags:

return: | true on success
access: | public

#### Parameters:

string|resource | $filename | The name of the file or stream where to save the OLE container.

[ Top ]

### method _calcSize [line 127]

`array _calcSize( &$raList, array $raList)`

Calculate some numbers

#### Tags:

return: | The array of numbers
access: | public

#### Parameters:

array | $raList | Reference to an array of PPS's
| &$raList |

[ Top ]

### method _makeSmallData [line 307]

`void _makeSmallData( array &$raList)`

get small data (PPS's with data smaller than PHPExcel_Shared_OLE::OLE_DATA_SIZE_SMALL)

#### Tags:

access: | public

#### Parameters:

array | &$raList | Reference to array of PPS's

[ Top ]

### method _saveBbd [line 387]

`void _saveBbd( integer $iSbdSize, integer $iBsize, integer $iPpsCnt)`

Saving Big Block Depot

#### Tags:

access: | public

#### Parameters:

integer | $iSbdSize |
integer | $iBsize |
integer | $iPpsCnt |

[ Top ]

### method _saveBigData [line 258]

`void _saveBigData( integer $iStBlk, array &$raList)`

Saving big data (PPS's with data bigger than PHPExcel_Shared_OLE::OLE_DATA_SIZE_SMALL)

#### Tags:

access: | public

#### Parameters:

integer | $iStBlk |
array | &$raList | Reference to array of PPS's

[ Top ]

### method _saveHeader [line 180]

`void _saveHeader( integer $iSBDcnt, integer $iBBcnt, integer $iPPScnt)`

Save OLE header

#### Tags:

access: | public

#### Parameters:

integer | $iSBDcnt |
integer | $iBBcnt |
integer | $iPPScnt |

[ Top ]

### method _savePps [line 364]

`void _savePps( &$raList, array $raList)`

Saves all the PPS's WKs

#### Tags:

access: | public

#### Parameters:

array | $raList | Reference to an array with all PPS's
| &$raList |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:34 +0200 by phpDocumentor 1.4.4